<header #stickyMenu [ngClass]="[sticky == true ? 'sticky':'']">
    <mat-toolbar color="primary" #stickyMenu [ngClass]="[searchShow ? 'fillOutcolor':'fillcolor']">
        <mat-toolbar-row class="container" fxLayout="row wrap" fxLayoutAlign="space-between stretch">
            <div class="content-logo" [fxHide.xs]="!searchShow" fxFlex="13" fxFlex.sm="20" fxFlex.xs="65px" fxLayoutAlign="start center">
                <a [fxHide]="!searchShow" class="logo-header animated faster fadeInLeft" routerLink="/" fxLayoutAlign="start center"><img src="assets/images/laura-francioli-logo-white-full.png" alt="Laura francioli - logo" /></a>
                <a [fxHide]="searchShow" class="logo-header animated faster fadeInLeft" routerLink="/" fxLayoutAlign="start center"><img src="assets/images/laura-francioli-logo-white-full.png" alt="Laura francioli - logo" /></a>
            </div>
            <ul class="content-menu" fxFlex="85" fxFlex.sm="80" [fxFlex.xs]="!searchShow ? 100:77" fxLayout="row wrap" fxLayoutAlign="end center" fxLayoutGap.gt-sm="2px">
                <li fxLayoutAlign="center center" [fxHide]="searchShow" fxFlex.xs="85">
                    <mat-form-field [ngClass]="searchShow ? 'fadeOutLeft':'fadeInLeft'" fxFlex="100" class="reset-input search-style animated faster" style="margin-top: 0 !important" appearance="outline">
                        <mat-label>Buscar productos</mat-label>
                        <input [formControl]="searchCtrl" type="text" aria-label="Number" matInput [matAutocomplete]="auto">
                        <button matSuffix mat-icon-button><mat-icon >search</mat-icon></button>
                        <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
                            <mat-option *ngIf="isLoading" class="is-loading">
                                <mat-spinner diameter="50"></mat-spinner>
                            </mat-option>
                            <ng-container *ngIf="!isLoading">
                                <mat-option *ngFor="let item of options | async; let index = index" [value]="item.descripcion">
                                    <a routerLink="/productos/{{item.codigoP}}" style="color:#333 !important">
                                          {{ item.descripcion | titlecase}}
                                        </a>
                                </mat-option>
                            </ng-container>
                        </mat-autocomplete>
                    </mat-form-field>
                </li>
                <li fxLayoutAlign="center center" fxFlex.xs="15">
                    <a mat-icon-button color="body-1" (click)="searchShow = !searchShow">
                        <mat-icon class="animated faster" [ngClass]="searchShow == true ? 'fadeInLeft':'rotateIn'">{{searchShow == true ? 'search':'close'}}</mat-icon>
                    </a>
                </li>
                <li [fxHide.xs]="!searchShow" fxLayoutAlign="center center" fxFlex.xs="15">
                    <a (click)="sidenav.close()" mat-icon-button color="body-1" [routerLink]="showMenuProfile == false ? ['/login']: ['/user-panel']">
                        <mat-icon class="animated faster fadeInLeft">person</mat-icon>
                    </a>
                </li>
                <ng-container *ngIf="cantidadProductos > 0">
                    <li [fxHide.gt-xs]="!searchShow" fxHide.xs="true" fxLayoutAlign="center center" class="animated bounceIn" fxFlex.xs="15">
                        <a (click)="sidenav.close()" mat-icon-button color="body-1" routerLink="/carrito">
                            <mat-icon [matBadge]="cantidadProductos" matBadgeColor="warn">shopping_cart</mat-icon>
                        </a>
                    </li>
                </ng-container>
                <li [fxHide.xs]="!searchShow" fxLayoutAlign="center center" fxFlex.xs="15">
                    <a (click)="sidenav.toggle()" mat-icon-button color="body-1">
                        <mat-icon class="animated faster" [ngClass]="sidenav.opened == true ? 'rotateIn':'fadeInLeft'">{{sidenav.opened == true ? 'close':'menu_open'}}</mat-icon>
                    </a>
                </li>
            </ul>

        </mat-toolbar-row>
    </mat-toolbar>
</header>
<mat-sidenav-container class="example-container">
    <mat-sidenav #sidenav class="sidenav-menu" #sidenav mode="over" position="end" autosize fixedInViewport="true">
        <div class="container" fxLayout="column">
            <mat-toolbar class="bg-toolbar-nav">
                <!-- <img class="logo" src="../assets/images/home.png" alt="conecta con ingenieria" /> -->
            </mat-toolbar>
            <div fxLayout="row wrap" fxFlex="100" fxLayoutAlign="end start">
                <mat-list role="list" fxFlex="100">
                    <mat-list-item matRipple role="listitem" *ngIf="showMenuProfile == false" routerLink="login" (click)="sidenav.toggle()">Iniciar sesión</mat-list-item>
                    <mat-list-item matRipple role="listitem" *ngIf="cantidadProductos > 0" routerLink="/carrito" (click)="sidenav.toggle()" matTooltip="Ir al carrito">
                        <span>Carrito de compras</span>
                        <div class="example-spacer"></div>
                        <mat-icon [matBadge]="cantidadProductos" matBadgeColor="warn">shopping_cart</mat-icon>
                    </mat-list-item>
                    <mat-divider *ngIf="cantidadProductos > 0"></mat-divider>
                    <mat-list-item role="listitem" [routerLink]="showMenuProfile == false ? ['/registeruser']: ['/user-panel']" (click)="sidenav.toggle()" routerLinkActive="active">{{showMenuProfile == false ? 'Registro':'Mi cuenta'}}</mat-list-item>
                    <mat-list-item role="listitem" (click)="logout(); sidenav.toggle()" *ngIf="isLoggedIn$ | async">Cerrar sesión</mat-list-item>
                </mat-list>
                <mat-tab-group #tabs fxFlex="100">
                    <mat-tab label="First">
                        <mat-list>
                            <mat-list-item matRipple role="listitem" routerLink="home" (click)="sidenav.toggle()" routerLinkActive="active">Inicio</mat-list-item>
                            <mat-list-item (click)="tabs.selectedIndex = 2" routerLinkActive="active" role="listitem">
                                <div fxLayout="row wrap" fxLayoutAlign="space-between center" fxFlex="100">
                                    <span>Nosotros</span>
                                    <mat-icon>navigate_next</mat-icon>
                                </div>
                            </mat-list-item>

                            <mat-list-item matRipple (click)="tabs.selectedIndex = 1" routerLinkActive="active" role="listitem">
                                <div fxLayout="row wrap" fxLayoutAlign="space-between center" fxFlex="100">
                                    <span>Productos</span>
                                    <mat-icon>navigate_next</mat-icon>
                                </div>
                            </mat-list-item>
                            <mat-list-item routerLink="/blog" (click)="sidenav.toggle()" routerLinkActive="active" role="listitem">Blog</mat-list-item>
                            <mat-list-item routerLink="/contacto" (click)="sidenav.toggle()" routerLinkActive="active" role="listitem">Contáctenos</mat-list-item>
                        </mat-list>
                    </mat-tab>
                    <mat-tab label="Second">
                        <mat-list>
                            <mat-list-item matRipple (click)="tabs.selectedIndex = 0" role="listitem">
                                <mat-icon>arrow_back_ios</mat-icon> volver
                            </mat-list-item>
                            <mat-list-item matRipple routerLink="/productos" routerLinkActive="active" (click)="sidenav.toggle()" role="listitem">
                                catalogo de productos
                            </mat-list-item>
                            <mat-list-item matRipple routerLink="/cotizador" routerLinkActive="active" (click)="sidenav.toggle()" role="listitem">
                                Cotización de producto
                            </mat-list-item>
                        </mat-list>
                    </mat-tab>
                    <mat-tab label="Third">
                        <mat-list>
                            <mat-list-item matRipple (click)="tabs.selectedIndex = 0" role="listitem">
                                <mat-icon>arrow_back_ios</mat-icon> volver
                            </mat-list-item>
                            <mat-list-item matRipple routerLink="/nosotros" routerLinkActive="active" role="listitem" (click)="sidenav.toggle()"> Misión y Visión </mat-list-item>
                            <mat-list-item matRipple routerLink="/como-comprar" routerLinkActive="active" role="listitem" (click)="sidenav.toggle()"> Como Comprar </mat-list-item>
                            <mat-list-item matRipple [routerLink]="['/politica']" fragment="politica" routerLinkActive="active" role="listitem" (click)="sidenav.toggle()">Politica</mat-list-item>
                            <mat-list-item matRipple [routerLink]="['/politica']" fragment="historia" routerLinkActive="active" role="listitem" (click)="sidenav.toggle()">Historia</mat-list-item>
                            <mat-list-item matRipple [routerLink]="['/politica']" fragment="sucursales" routerLinkActive="active" role="listitem" (click)="sidenav.toggle()">Sucursales</mat-list-item>
                            <mat-list-item matRipple [routerLink]="['/politica']" fragment="proposito" routerLinkActive="active" role="listitem" (click)="sidenav.toggle()">Proposito</mat-list-item>
                            <mat-list-item matRipple [routerLink]="['/politica']" fragment="valores" routerLinkActive="active" role="listitem" (click)="sidenav.toggle()">Valores</mat-list-item>
                        </mat-list>
                    </mat-tab>
                </mat-tab-group>

            </div>
        </div>
    </mat-sidenav>
    <mat-sidenav-content>
        <router-outlet></router-outlet>
    </mat-sidenav-content>
</mat-sidenav-container>
<app-footer></app-footer>
<div id="whatsapp">
    <a href="https://wa.link/x5ya2y" target="_blank">
        <img src="assets/images/whatsapp.png" title="Escríbenos por Whastapp" alt="Escríbenos por Whastapp">
    </a>
</div>